Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor
  alle Maße in einer Skizze löschen?

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  alle Maße in einer Skizze löschen? (2401 mal gelesen)
freierfall
Ehrenmitglied V.I.P. h.c.
Techniker



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11552
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 16. Jul. 2014 11:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo zusammen, irgendwie finde ich keinen Auswahlfilter für Maß in einer Skizze. Denn ich will alle mit einem Schlag markieren und löschen. Geht so was? herzlichen Dank Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

daywa1k3r
Ehrenmitglied V.I.P. h.c.
Softwareentwickler



Sehen Sie sich das Profil von daywa1k3r an!   Senden Sie eine Private Message an daywa1k3r  Schreiben Sie einen Gästebucheintrag für daywa1k3r

Beiträge: 3497
Registriert: 01.08.2002

Desktop: 3.3GHz;8GB;SSD OCZ Vertex 3;Gainward Phantom GTX570
Laptop: Alienware m17x
Win7, Inventor2012 64Bi

erstellt am: 16. Jul. 2014 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Hallo Sascha,

falls es wirklich keinen Filter dazu gibt kannst du dieses Makro ausprobieren:

Code:

' Macro removes all dimensions from the active sketch
' Needs the active document and the sketch in edit mode
' FX64 daywa1k3r, Igor Zupevc, 16.07.2014
Sub DeleteAllSketchDimensions()
    If ThisApplication.ActiveDocument Is Nothing Then
        MsgBox "No active document found", vbCritical, "Error"
        Exit Sub
    End If
   
    Dim oPart As PartDocument
    Set oPart = ThisApplication.ActiveDocument
   
    If Not TypeOf ThisApplication.ActiveEditObject Is Sketch Then
        MsgBox "No avtive sketch found", vbCritical, "Error"
        Exit Sub
    End If

    Dim oSketch As Inventor.Sketch
    Set oSketch = ThisApplication.ActiveEditObject
   
    On Error Resume Next
    oPart.SelectSet.Clear
    Dim oDimension As DimensionConstraint
    For Each oDimension In oSketch.DimensionConstraints
        oPart.SelectSet.Select oDimension
        oDimension.Delete
    Next
   
    If oPart.SelectSet.Count <> 0 Then
        MsgBox "It was not possible to delete selected dimensions.", vbCritical, "Error"
    End If
End Sub



------------------
Grüße Igor

FX64 Software Solutions - Inventor Tools
FX64 LambdaSpect - Lichtsimulation mit Autodesk Inventor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

freierfall
Ehrenmitglied V.I.P. h.c.
Techniker



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11552
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 16. Jul. 2014 13:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Igor, du das werde ich mal testen und dann Bescheid geben, denn die nächste Skizze werde ich in ca. 2h kopieren. Aber damit spare ich Zeit  . herzlich Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

freierfall
Ehrenmitglied V.I.P. h.c.
Techniker



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11552
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 16. Jul. 2014 22:40    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

oh das geht sehr gut, danke dir sehr. herzliche Grüsse Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

daywa1k3r
Ehrenmitglied V.I.P. h.c.
Softwareentwickler



Sehen Sie sich das Profil von daywa1k3r an!   Senden Sie eine Private Message an daywa1k3r  Schreiben Sie einen Gästebucheintrag für daywa1k3r

Beiträge: 3497
Registriert: 01.08.2002

Desktop: 3.3GHz;8GB;SSD OCZ Vertex 3;Gainward Phantom GTX570
Laptop: Alienware m17x
Win7, Inventor2012 64Bi

erstellt am: 17. Jul. 2014 09:59    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Hallo Sascha, und danke für die Rückmeldung!

------------------
Grüße Igor

FX64 Software Solutions - Inventor Tools
FX64 LambdaSpect - Lichtsimulation mit Autodesk Inventor

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

axi92
Mitglied
Konstrukteur


Sehen Sie sich das Profil von axi92 an!   Senden Sie eine Private Message an axi92  Schreiben Sie einen Gästebucheintrag für axi92

Beiträge: 685
Registriert: 20.02.2010

Inventor 2014 64bit SP2 Build 246
Vault Basic 2014 64bit SP2 Update 7
HP Z200
Win 7 64bit
16GB RAM
CPU: i5 3,2GHz
GPU: Nvidia Quadro K600

erstellt am: 18. Jul. 2014 08:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Ich bin mir nicht ganz sicher aber geht es nicht auch wenn man einfach alles markiert dann ENTF drück fragt er eh nach ob man die Ansicht X auch mitlöschen möchte drückt man nein verschwindet alles bis auf die Ansicht. Textfelder allerdings auch...

------------------
Grüße aus Wien
Philipp
http://black-evolution.de/

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

freierfall
Ehrenmitglied V.I.P. h.c.
Techniker



Sehen Sie sich das Profil von freierfall an!   Senden Sie eine Private Message an freierfall  Schreiben Sie einen Gästebucheintrag für freierfall

Beiträge: 11552
Registriert: 30.04.2004

WIN10 64bit, 32GB RAM
IV bis 2022

erstellt am: 18. Jul. 2014 08:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo, es geht mir um die Maße in einer ipt in einer Skizze. herzlich Sascha

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Michael Puschner
Moderator
Rentner




Sehen Sie sich das Profil von Michael Puschner an!   Senden Sie eine Private Message an Michael Puschner  Schreiben Sie einen Gästebucheintrag für Michael Puschner

Beiträge: 13006
Registriert: 29.08.2003

Toshiba Encore mit MS Office

Ein Programm sollte nicht nur Hand und Fuß, sondern auch Herz und Hirn haben.
(Michael Anton)

erstellt am: 18. Jul. 2014 10:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von axi92:
... alles markiert ... verschwindet alles bis auf die Ansicht. Textfelder allerdings auch ...

In der Zeichnung kann man einen benutzerdefinierten Auswahlfilder verwenden, der nur Bemaßungen selektiert.

Nur gibt es den nicht in der Skizzenumgebung, sondern nur in der Zeichnungsumgebung, wie der Fragesteller schon im Eröffnungsbeitrag festgestellt hat.

------------------
Michael Puschner
Autodesk Inventor Certified Expert
Autodesk Inventor Certified Professional
Mensch und Maschine Scholle GmbH

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 11:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Guten Tag, ja ich krame hier wohl einen sehr alten Beitrag wieder ans Licht.

Das Makro hat einwandfrei innerhalb der Skizze einer *.ipt funktioniert.

Nun zu meiner Frage bzw. Bitte.

Wäre es möglich solch ein Makro auch innerhalb eines Blocks zu verwenden?
Da kommt leider immer eine Fehlermeldung : "Error , No avtive sketch found"

denke der Schreibfehler ist da jetzt mal zu ignorieren.
Wäre nur wirklich sehr schön wenn es auch im Block funktionieren würde.


Schon mal vielen Dank im Voraus ^^

freundliche Grüße
Dennis


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik




Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 2480
Registriert: 15.11.2006

Windows 10 x64, AIP 2023

erstellt am: 02. Mai. 2024 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Moin

Ein Skizzenblock ist halt keine Skizze. Daher funktioniert der Code so nicht, war ja auch nicht gefordert. Es lässt sich aber relativ einfach erweitern:

Code:

Option Explicit

    ' Macro removes all dimensions from the active sketch or
    ' sketchblock
    ' Needs the active document and the sketch / sketchblock
    ' in edit mode
    ' original FX64 daywa1k3r, Igor Zupevc, 16.07.2014
    ' modified rkauskh, 02.05.2024
    Sub DeleteAllSketchDimensions()
        If ThisApplication.ActiveDocument Is Nothing Then
            MsgBox "No active document found", vbCritical, "Error"
            Exit Sub
        End If
      
        Dim oPart As PartDocument
        Set oPart = ThisApplication.ActiveDocument
      
        Dim oDimension As DimensionConstraint
       
        If TypeOf ThisApplication.ActiveEditObject Is Sketch Then
            Dim oSketch As Inventor.Sketch
            Set oSketch = ThisApplication.ActiveEditObject
                   
            oPart.SelectSet.Clear
           
            On Error Resume Next
            For Each oDimension In oSketch.DimensionConstraints
                oPart.SelectSet.Select oDimension
                oDimension.Delete
            Next
      
            If oPart.SelectSet.count <> 0 Then
            MsgBox "It was not possible to delete selected dimensions.", vbCritical, "Error"
            End If
        ElseIf TypeOf ThisApplication.ActiveEditObject Is SketchBlock Then
            Dim oSketchBlock As Inventor.SketchBlock
            Set oSketchBlock = ThisApplication.ActiveEditObject
           
            oPart.SelectSet.Clear
           
            On Error Resume Next
            For Each oDimension In oSketchBlock.Definition.DimensionConstraints
                oPart.SelectSet.Select oDimension
                oDimension.Delete
            Next
      
            If oPart.SelectSet.count <> 0 Then
            MsgBox "It was not possible to delete selected dimensions.", vbCritical, "Error"
            End If
        Else
            MsgBox "No active sketch or sketchblock found", vbCritical, "Error"
            Exit Sub
        End If
    End Sub


------------------
MfG
Ralf

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 717
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 02. Mai. 2024 13:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Hi Dennis,

unten der etwas angepasste Code. Dieser hat in meinem minimal-Test funktioniert.

Ich habe auch einen Unterschied festgestellt, ob nun der Block
a) innerhalb einer Skizze, oder
b) aus dem Browserverzeichnis "Blöcke"
bearbeitet wird. Bei b) ging das Makro auch vorher schon.

Code:
Sub DeleteAllSketchDimensions()
    If ThisApplication.ActiveDocument Is Nothing Then
        MsgBox "No active document found", vbCritical, "Error"
        Exit Sub
    End If
 
    Dim oPart As PartDocument
    Set oPart = ThisApplication.ActiveDocument
 
    Dim oSketch As Inventor.Sketch
   
    If Not TypeOf ThisApplication.ActiveEditObject Is Sketch Then
        If TypeOf ThisApplication.ActiveEditObject Is SketchBlock Then
            Set oSketch = ThisApplication.ActiveEditObject.Definition
        Else
            MsgBox "No avtive sketch found", vbCritical, "Error"
            Exit Sub
        End If
    Else    'es handelt sich um eine Sketch (oder auch SketchBlockDefinition)
        Set oSketch = ThisApplication.ActiveEditObject
    End If
   
 
    On Error Resume Next
    oPart.SelectSet.Clear
    Dim oDimension As DimensionConstraint
    For Each oDimension In oSketch.DimensionConstraints
        oPart.SelectSet.Select oDimension
        oDimension.Delete
    Next
 
    If oPart.SelectSet.Count <> 0 Then
        MsgBox "It was not possible to delete selected dimensions.", vbCritical, "Error"
    End If
End Sub

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

KraBBy
Mitglied
Maschinenbau-Ingenieur


Sehen Sie sich das Profil von KraBBy an!   Senden Sie eine Private Message an KraBBy  Schreiben Sie einen Gästebucheintrag für KraBBy

Beiträge: 717
Registriert: 19.09.2007

Inventor Professional 2020
WinX

erstellt am: 02. Mai. 2024 13:33    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

OT
Hi Ralf, so kanns gehen. Zeitgleich gepostet ... 

------------------
Gruß KraBBy

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 02. Mai. 2024 13:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Vielen herzlichen Dank. Ihr habt mir damit sehr geholfen.
Kenne mich in diesem Bereich einfach überhaupt nicht aus.

Immer wieder faszinierend was alles so möglich ist wenn man weiß wie ^^

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Roland Schröder
Moderator
Dr.-Ing. Maschinenbau, Entwicklung & Konstruktion von Spezialmaschinen




Sehen Sie sich das Profil von Roland Schröder an!   Senden Sie eine Private Message an Roland Schröder  Schreiben Sie einen Gästebucheintrag für Roland Schröder

Beiträge: 13333
Registriert: 02.04.2004

IV 2024

erstellt am: 02. Mai. 2024 18:13    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Moin!

Es ist vielleicht ein dumme Frage, aber: Wozu ist es gut, alle Maße in einer Skizze zu löschen? Das Bedürfnis habe ich noch nie gehabt.

------------------
Roland  
www.Das-Entwicklungsbuero.de

It's not the hammer - it's the way you hit!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pAtrickstAr
Mitglied
Werkzeugmechaniker

Sehen Sie sich das Profil von pAtrickstAr an!   Senden Sie eine Private Message an pAtrickstAr  Schreiben Sie einen Gästebucheintrag für pAtrickstAr

Beiträge: 7
Registriert: 02.05.2024

erstellt am: 03. Mai. 2024 10:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für freierfall 10 Unities + Antwort hilfreich

Hallo Roland,

es gibt keine dummen Fragen ^^

um es möglichst kurz zu halten will ich es mal so sagen.
Wir arbeiten hier in 2,5 D um unsere Bauteile mit Hilfe von Drahterodiermaschinen nachzuarbeiten.
Da kommt es oftmals vor, dass sich die Bemaßungen und Abhängigkeiten erübrigen die man vor der letzten Änderung gesetzt hat.
Abhängigkeiten lassen sich ja auf einen Schlag löschen.
Nur eben keine Bemaßungen.

Mit dem Makro erspare ich mir einiges an Zeit und geklicke ^^

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2024 CAD.de | Impressum | Datenschutz